Skip to main content
GET
/
lists
/
{id}
cURL
curl --request GET \
  --url https://letterby.com/api/v4/lists/{id} \
  --header 'apiKey: <api-key>'
{
  "data": {
    "list": {
      "id": "<string>",
      "url": "<string>",
      "branding": true,
      "startFrom": 123,
      "mode": "<string>",
      "name": "<string>",
      "referrals": true,
      "color": "<string>",
      "title": "<string>",
      "desc": "<string>",
      "socialDescription": "<string>",
      "senderName": "<string>",
      "replyTo": "<string>",
      "sender": "<string>",
      "legal": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "<string>",
      "domainId": "<string>",
      "defaultPageId": "<string>",
      "referralPageId": "<string>",
      "successPageId": "<string>",
      "icon": "<string>",
      "favicon": "<string>",
      "ogImage": "<string>",
      "listSettingsId": "<string>",
      "whitelistEmailId": "<string>",
      "templateId": "<string>",
      "themeId": "<string>",
      "columns": [
        "<string>"
      ],
      "customHeadCode": "<string>",
      "customBodyCode": "<string>",
      "googleAnalytics": "<string>",
      "plausibleAnalytics": "<string>"
    }
  }
}

Authorizations

apiKey
string
header
required

API key to authorize requests

Path Parameters

id
string
required

ID of the list to retrieve

Response

List retrieved successfully

data
object